Manuel de l'administrateur clariweb
===================================

Code coverage: http://clarilab.p.gitlab.clarisys.fr/clariweb/coverage/

Résultat des tests: http://clarilab.p.gitlab.clarisys.fr/clariweb/tests.html


Quick install
-------------
```
sudo apt install postgresql-10
sudo apt install build-essential python3-dev python3-virtualenv virtualenv python-pip redis nodejs npm
sudo createuser --superuser clariweb
sudo createdb -O clariweb clariweb
virtualenv -p python3 ~/venvs/clariweb
. ~/venvs/clariweb/bin/activate
# PROD
pip install clariweb[uwsgi]
# DEV (après git clone)
# python setup.py develop
clariweb createconfig
clariweb django migrate
clariweb web

# Autoriser "localhost" à se connecter en admin:
clariweb django shell
# > from constance import config; config.SECURITY_IP_ADDRESSES_ADMIN = ["127.0.0.0/8", "::1/128", "176.31.136.155/32"]
```

First install
-------------
```
# Create admin user
clariweb django createsuperuser
clariweb django dbshell
begin;
insert into clariweb_clariwebuser (sil_pk, kind, "group", civilite, date_naissance, numero_secu, address_city, address_country, address_postal_code,address_line1,address_line2,address_line3,date_creation,debpt,group_clinic,service_clinic) values (0, 'MED', '', '', '1950-01-01', '', '', '', '', '', '', '', now(), 0, '', '');
update clariweb_basicuser set first_name ='admin', last_name='admin', email='notvalid@clarilab.fr', clariwebuser_id=1 where username='admin';
commit;
```

Ajouter la purge
----------------
```
# Ajuster les valeurs en fonction du client, et ajouter la crontab
/home/clariweb/venvs/clariweb/.local/bin/clariweb django purge_documents --max_used_space 30720 --perdocument_storage_used 160
```

Création d'une nouvelle version
-------------------------------
```
vi webui/package.json
vi setup.cfg
# Penser a générer le changelog
git push --tags
```

Génération du changelog
-----------------------

```
echo -e "Version $tag\n==============\n"
git log v0.3.7..v0.3.8 --pretty=format:'  * %s [%an]' --reverse | grep -v Merge
```

Génération de l'interface
-------------------------

```
cd webui && npm run watch
```


Déploiement ansible
-------------------

Déployer une seule instance nécessite un tag, et la modification
dans le repository ansible _à jour_ du fichier **inventory/clariweb**

```
cd ansible
git pull
make virtualenv setlocal
ansible-playbook -Dv deploy.yml -i inventory/clariweb --tags=clariwebapp -l clariweb1.clarisys.fr
```


Lancer les tests
----------------
```shell
tox
```
