# -*- coding: utf-8 -*-

from django.core.management.base import BaseCommand
from django.db import connection


DELETE_UNREFERENCED_ACTORS = """DELETE from clariweb_actor WHERE id IN (
    SELECT id FROM clariweb_actor EXCEPT
        (WITH doc AS (
            SELECT patient_id, medecin_id, correspondant_id
            FROM clariweb_document)
        SELECT doc.patient_id AS id FROM doc
        UNION
        SELECT doc.medecin_id as id FROM doc
        UNION
        SELECT doc.correspondant_id AS id FROM doc
        )
)"""


class Command(BaseCommand):
    help = "Clean unreferences Actors"

    def handle(self, *args, **options):
        cursor = connection.cursor()
        cursor.execute(DELETE_UNREFERENCED_ACTORS)
