import shutil
from django.conf import settings
from django.test.runner import DiscoverRunner


class ClariwebTestRunner(DiscoverRunner):
    _tempdirs = []

    def setup_test_environment(self):
        super().setup_test_environment()
        if settings.DOCUMENTS_ROOT.startswith("/tmp"):
            self._tempdirs.append(settings.DOCUMENTS_ROOT)

    def teardown_test_environment(self):
        super().teardown_test_environment()
        for d in self._tempdirs:
            if d.startswith("/tmp"):
                shutil.rmtree(d)
