from django.conf.urls import include, url
from django.views.generic.base import RedirectView
from django.conf import settings
from django.conf.urls.static import static
from clariweb.api import urls as api_urls
from clariweb.api.rpc import urls as api_rpc_urls
from .static import static_media

class AppRedirectView(RedirectView):
    permanent = True


urlpatterns = [
    url(r'^$', AppRedirectView.as_view(url='/app/index.html'),
        name='go-to-webui'),
    url(r'^rpc|RPC/', include(api_rpc_urls), name='rpc'),
    url(r'^apirpc/', include(api_rpc_urls), name='rpcv2'),
    url(r'^api/', include(api_urls)),
    url(r'^app/(?P<path>.*)$', static_media, name='assets'),
]
