# -*- coding: utf-8 -*-

from pathlib import Path


def generate_secret_key():
    from django.utils.crypto import get_random_string
    chars = u'abcdefghijklmnopqrstuvwxyz0123456789!@#%^&*(-_=+)'
    return get_random_string(50, chars)


def load_config_template(path):
    from pkg_resources import resource_string
    return resource_string(__name__, '../conf/{}'.format(path)).decode("utf-8")


def write_default_settings(path):
    config_template = load_config_template("settings.py.default")
    with path.open(mode="w+", encoding="utf-8") as f:
        f.write(config_template % {
            "secret_key": generate_secret_key(),
            "clarilab_api_key": generate_secret_key(),
            "rpc_api_key": generate_secret_key(),
        })
