from ctypes import CDLL
PR_SET_PDEATHSIG = 1

def set_pdeathsig(signum):
    libc = CDLL("libc.so.6")
    libc.prctl(PR_SET_PDEATHSIG, signum, 0, 0, 0)


if __name__ == "__main__":
    import os
    import sys
    import time
    import signal
    import argparse
    import subprocess
    parser = argparse.ArgumentParser()
    parser.add_argument("--child", action="store_true")
    args = parser.parse_args()
    def usr1_handler(*args, **kwargs):
        print("child received SIGUSR1 from PDEATHSIG prctl")
        os._exit(0)
    if args.child:
        set_pdeathsig(signal.SIGUSR1)
        signal.signal(signal.SIGUSR1, usr1_handler)
        while True:
            print("child awake...")
            time.sleep(0.5)
    else:
        print("parent call child...")
        subprocess.Popen([sys.executable, __file__, "--child"])
        time.sleep(1)
        os._exit(0)
