angular.module('clariweb.filters', [])

.filter(
    'age',
    function() {
        return function(datestring) {
            /* Copy from angularjs */
            function jsonStringToDate(string) {
                function int(str) {
                    return parseInt(str, 10);
                }
                var R_ISO8601_STR = /^(\d{4})-?(\d\d)-?(\d\d)(?:T(\d\d)(?::?(\d\d)(?::?(\d\d)(?:\.(\d+))?)?)?(Z|([+-])(\d\d):?(\d\d))?)?$/;
                var match = string.match(R_ISO8601_STR);
                if (match) {
                    var date = new Date(0),
                        tzHour = 0,
                        tzMin  = 0;
                    if (match[9]) {
                        tzHour = int(match[9] + match[10]);
                        tzMin = int(match[9] + match[11]);
                    }
                    date.setUTCFullYear(int(match[1]), int(match[2]) - 1, int(match[3]));
                    date.setUTCHours(int(match[4]||0) - tzHour, int(match[5]||0) - tzMin, int(match[6]||0), int(match[7]||0));
                    return date;
                }
                return string;
            }
            if (! datestring) {
                return '';
            }
            var date = jsonStringToDate(datestring);
            var now = new Date();
            var todayYear = now.getFullYear();
            var todayMonth = now.getMonth();
            var todayDay = now.getDate();
            var birthYear = date.getFullYear();
            var birthMonth = date.getMonth();
            var birthDay = date.getDate();
            var age = todayYear - birthYear;
            if (todayMonth < birthMonth - 1) {
                age--;
            }
            if (birthMonth - 1 === todayMonth && todayDay < birthDay) {
                age--;
            }
            return age;
        };
    }
)

.filter(
    'nullzero',
    function() {
        return function(intornull) {
            if (! intornull) {
                return 0;
            } else {
                return intornull;
            }
        };
    }
)

;
