import sys
import os

from setuptools import setup
from distutils.command.build import build as BuildCommand
from setuptools.command.sdist import sdist as SDistCommand
from clariweb.utils.build_assets import BuildAssetsCommand


class ClariwebBuildCommand(BuildCommand):
    def run(self):
        self.run_command('build_assets')
        super().run()


class ClariwebSDistCommand(SDistCommand):
    sub_commands = SDistCommand.sub_commands + [('build_assets', None)]


setup(
    cmdclass={
        'sdist': ClariwebSDistCommand,
        'build': ClariwebBuildCommand,
        'build_assets': BuildAssetsCommand,
    },
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'clariweb = clariweb.utils.__main__:main',
        ],
    }
)
